Untitled

mail@pastecode.io avatar
unknown
plain_text
2 years ago
3.5 kB
3
Indexable
Never
FAA - Head
FAA - Head
FAA - Co-Head
FAA - Co-Head
FAA - Secretary
FAA - Secretary
FAA - Head Trainer
FAA - Head Trainer
FAA - Co-Head Trainer
FAA - Co-Head Trainer
FAA - Head of Staff
FAA - Head of Staff
FAA - Co-Head of Staff
FAA - Co-Head of Staff
FAA - Head of LSIA Operations
FAA - Head of LSIA Operations
FAA - Head of Sandy Shores Operations
FAA - Head of Sandy Shores Operations
FAA - Staff
FAA - Staff
FAA - Senior Air Traffic Controller
FAA - Senior Air Traffic Controller
FAA - Air Traffic Controller
FAA - Air Traffic Controller
FAA - Junior Air Traffic Controller
FAA - Junior Air Traffic Controller
FAA - Airport Staff
FAA - Airport Staff
FAA - Security
FAA - Security
FAA - Marshall
FAA - Marshall
FAA - Fueling
FAA - Fueling
FAA - Luggage
FAA - Luggage
FAA - Attendant
FAA - Attendant
{1041146659154968616: 'FAA - Head', 1041146659368878181: 'FAA - Co-Head', 1041146660228702288: 'FAA - Secretary', 1041146660711047178: 'FAA - Head Trainer', 1041146661264695386: 'FAA - Co-Head Trainer', 1041146662183243889: 'FAA - Head of Staff', 1041146663105999028: 'FAA - Co-Head of Staff', 1041146664011956275: 'FAA - Head of LSIA Operations', 1041146664745967657: 'FAA - Head of Sandy Shores Operations', 1041146666583081090: 'FAA - Staff', 1041146667161882726: 'FAA - Senior Air Traffic Controller', 1041146667644227584: 'FAA - Air Traffic Controller', 1041146668281774100: 'FAA - Junior Air Traffic Controller', 1041146669049323631: 'FAA - Airport Staff', 1041146669586190386: 'FAA - Security', 1041146669917544580: 'FAA - Marshall', 1041146670664142949: 'FAA - Fueling', 1041146671440085122: 'FAA - Luggage', 1041146672111177788: 'FAA - Attendant'}
2022-11-13 15:16:02 ERROR    discord.app_commands.tree Ignoring exception in command 'createfaachannels'
Traceback (most recent call last):
  File "/Users/me/Library/Python/3.10/lib/python/site-packages/discord/app_commands/commands.py", line 851, in _do_call
    return await self._callback(interaction, **params)  # type: ignore
  File "/Users/me/Documents/automation/socialmedia-automation/discord-automation/channelroles-automation/main.py", line 1060, in createfaachannels
    await guild.create_text_channel(x,overwrites=overwrite,category=category,reason="Fuck you im a cool guy") # EXCEPION HERE
  File "/Users/me/Library/Python/3.10/lib/python/site-packages/discord/guild.py", line 1331, in create_text_channel
    data = await self._create_channel(
  File "/Users/me/Library/Python/3.10/lib/python/site-packages/discord/guild.py", line 1197, in _create_channel
    payload = {'allow': allow.value, 'deny': deny.value, 'id': target.id}
AttributeError: 'NoneType' object has no attribute 'id'

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/Users/me/Library/Python/3.10/lib/python/site-packages/discord/app_commands/tree.py", line 1240, in _call
    await command._invoke_with_namespace(interaction, namespace)
  File "/Users/me/Library/Python/3.10/lib/python/site-packages/discord/app_commands/commands.py", line 876, in _invoke_with_namespace
    return await self._do_call(interaction, transformed_values)
  File "/Users/me/Library/Python/3.10/lib/python/site-packages/discord/app_commands/commands.py", line 869, in _do_call
    raise CommandInvokeError(self, e) from e
discord.app_commands.errors.CommandInvokeError: Command 'createfaachannels' raised an exception: AttributeError: 'NoneType' object has no attribute 'id'